Bug 2021615 - Review Request: btrfs-fuse - Read-only, license friendly, FUSE based btrfs implementation
Summary: Review Request: btrfs-fuse - Read-only, license friendly, FUSE based btrfs im...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-09 18:50 UTC by Davide Cavalca
Modified: 2021-11-13 01:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-10 15:50:21 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2021-11-09 18:50:54 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/btrfs-fuse/btrfs-fuse.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/btrfs-fuse/btrfs-fuse-0-1.20211109git28abeab.fc36.src.rpm

Description:
This is a read-only btrfs implementation using FUSE (Filesystem in Userspace).

Although btrfs is already in mainline Linux kernel, there are still use-cases
for such read-only btrfs implementation:
- Educational purpose: let new developers get a quick way to learn how a
  complex and modern filesystem works;
- For certain bootloaders: certain bootloaders need code base compatible with
  their license;
- As a last resort method for subpage/multipage support: currently (v5.16-rc)
  the Linux kernel can only support sectorsize == pagesize , and 4K sectorsize
  with 64K page size; thus this project can act as a last resort method to read
  data from filesystem with unsupported sectorsize.

Fedora Account System Username: dcavalca

Comment 1 Neal Gompa 2021-11-09 19:15:01 UTC
Review notes:

- Packaging follows naming guidelines
- Package licensing is indicated correctly
- Packaging builds and installs
- No serious issues from rpmlint
- Legacy snapshot versioning is used, consider using current snapshot-in-version format

PACKAGE APPROVED.

Comment 2 Davide Cavalca 2021-11-09 19:17:18 UTC
Thanks!

$ fedpkg request-repo btrfs-fuse 2021615
https://pagure.io/releng/fedora-scm-requests/issue/37455

Comment 3 Gwyn Ciesla 2021-11-09 19:50:04 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/btrfs-fuse

Comment 4 Fedora Update System 2021-11-10 15:46:56 UTC
FEDORA-2021-000584c597 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2021-000584c597

Comment 5 Fedora Update System 2021-11-10 15:50:21 UTC
FEDORA-2021-000584c597 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-11-10 23:53:38 UTC
FEDORA-2021-75005988c0 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-75005988c0

Comment 7 Fedora Update System 2021-11-11 04:38:10 UTC
FEDORA-2021-75005988c0 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-75005988c0 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-75005988c0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-11-13 01:07:01 UTC
FEDORA-2021-80604eca1c has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.